import Vue from 'vue'
import App from './App'
import elementUI from 'element-ui'
/*import 'element-ui/lib/theme-chalk/index.css'*/
import './assets/css/themes/index.scss'
import './assets/css/main.scss'

Vue.config.productionTip = false
Vue.use(elementUI)

import * as themeObj from './assets/js/theme.js'
import { EventBus } from './assets/js/event-bus.js';

themeObj.initTheme("theme-00aeff");
Vue.mixin({
	data() {
		return {
			rjTheme: {
				obj: themeObj,
				current: ""
			}
		}
	},
	created() {
		let self = this;
		//每次进来都取缓存的
		self.rjTheme.current = themeObj.getCacheTheme();
		//监听变化主题
		EventBus.$on('rj-theme-change', theme => {
		  self.rjTheme.current = theme;
		});
	}
})

new Vue({
  el: '#app',
  components: { App },
  template: '<App/>'
})
