const path = require('path');
var webpack = require('webpack')
var ExtractTextPlugin = require('extract-text-webpack-plugin')
var OptimizeCSSPlugin = require('optimize-css-assets-webpack-plugin')
const MiniCssExtractPlugin = require("mini-css-extract-plugin")

module.exports = {
  entry: {
  	"rj-theme":'./src/lib/index.js'//build
  },
  devtool: 'inline-source-map',
  devServer: {
  	contentBase:'./dist',
    hot:true
  },
  plugins: [
    new MiniCssExtractPlugin({
       //生成css文件的路径及名称
         filename: "rj-theme.css"
     })
  ],
  output: {
    filename: '[name].js',
    path: path.resolve(__dirname, 'dist')
  },
  resolve: {
    extensions: ['.js', '.vue', '.json'],
    alias: {
      'vue$': 'vue/dist/vue.esm.js'
    }
  },
  module:{
    rules: [
      {
        test: /\.vue$/,
        loader: 'vue-loader',
        options: {
	        loaders: {
	            scss: 'style-loader!css-loader!sass-loader',
	            sass: 'style-loader!css-loader!sass-loader?indentedSyntax'
	        },
	      }
      },
      {
        test: /\.js$/,
        loader: 'babel-loader',
        exclude: [path.resolve(__dirname, 'node_modules'), path.resolve(__dirname, 'theme')],
        include: [path.resolve(__dirname, 'src')]
      },
      /*{
  		  test: /\.scss$/,
          use: [
            'vue-style-loader',
            'css-loader',
            {
  		     loader: 'sass-loader',
  		     options: {
  		     	//golbal scss
  		       //data: `$color: red;`
  		     }
  		  }
          ]
  	  },*/
      {
        test: /\.scss$/,
        use: [
          MiniCssExtractPlugin.loader,
          {
            loader: 'css-loader'
          },
          {
            loader: "resolve-url-loader"  //因为scss-loader没有重写url的功能，所以必须安装这个
          },
          {
            loader: "sass-loader", // 将 Sass 编译成 CSS
            options: { sourceMap: true }  //必须要写
          }
        ]
      },
      {
        test:/\.css$/,
        use: [
          MiniCssExtractPlugin.loader,
          // "style-loader",
          "css-loader"
        ]
      },
      {
        test:/\.(svg|png|gif|jpg)$/,
        use: [
          "url-loader"
        ]
      },
      {
        test: /\.(woff|woff2|eot|ttf|otf)$/,
        use: [
          'url-loader'
        ]
      },
      {
        test: /\.xml$/,
        use: [
          'xml-loader'
        ]
      }
    ]
  }
};